opensaml::saml2md::EntityMatcher Class Referenceabstract

An entity matcher is a predicate that evaluates an entity against a set of matching rules. More...

`#include <saml/saml2/metadata/EntityMatcher.h>`

## Public Member Functions

virtual bool | matches (const EntityDescriptor &entity) const =0
| Applies the instance's matching rule(s) against an entity.

## Detailed Description

An entity matcher is a predicate that evaluates an entity against a set of matching rules.

## Member Function Documentation

## matches()

virtual bool opensaml::saml2md::EntityMatcher::matches | ( | const EntityDescriptor & | entity | ) | const

pure virtual

Applies the instance's matching rule(s) against an entity.

Parameters

  entity | the entity to evaluate

Returns
  true iff the entity is matched

The documentation for this class was generated from the following file:

- saml/saml2/metadata/EntityMatcher.h